#include<bits/stdc++.h>
using namespace std;
int main()
{
    string s;
    char o;
    long long n, i, j, l, r, ans=0, k=1;
    cin>>s>>n;
    s=s+'#';
    long long a[n], b[s.size()];
    for (i=0; i<s.size(); i++)
    {
        b[i]=k;
        if (s[i]>s[i+1])
        {
            k++;
        }
    }
    for (i=0; i<n; i++)
    {
        cin>>l>>r;
        a[i]=b[r-1]-b[l-1]+1;
    }
    for (i=0; i<n; i++)
    {
        cout<<a[i]<<endl;
    }
}